Package org.apache.ignite.internal.processors.cache.extras

## Interface GridCacheEntryExtras

All Known Implementing Classes:
  `GridCacheAttributesEntryExtras`, `GridCacheAttributesMvccEntryExtras`, `GridCacheAttributesMvccObsoleteEntryExtras`, `GridCacheAttributesMvccObsoleteTtlEntryExtras`, `GridCacheAttributesMvccTtlEntryExtras`, `GridCacheAttributesObsoleteEntryExtras`, `GridCacheAttributesObsoleteTtlEntryExtras`, `GridCacheAttributesTtlEntryExtras`, `GridCacheEntryExtrasAdapter`, `GridCacheMvccEntryExtras`, `GridCacheMvccObsoleteEntryExtras`, `GridCacheMvccObsoleteTtlEntryExtras`, `GridCacheMvccTtlEntryExtras`, `GridCacheObsoleteEntryExtras`, `GridCacheObsoleteTtlEntryExtras`, `GridCacheTtlEntryExtras`

    public interface GridCacheEntryExtras

Cache extras.

### Method Summary

All Methods Instance Methods Abstract Methods
`long` `expireTime()`
`@Nullable GridCacheMvcc` `mvcc()`
`GridCacheEntryExtras` `mvcc​(GridCacheMvcc mvcc)`
`@Nullable GridCacheVersion` `obsoleteVersion()`
`GridCacheEntryExtras` `obsoleteVersion​(GridCacheVersion obsoleteVer)`
`int` `size()`
`long` `ttl()`
`GridCacheEntryExtras` `ttlAndExpireTime​(long ttl, long expireTime)`

### Method Detail

#### mvcc

    @Nullable
    @Nullable GridCacheMvcc mvcc()

Returns:
  MVCC.

#### mvcc

    GridCacheEntryExtras mvcc​(GridCacheMvcc mvcc)

Parameters:
  `mvcc` - MVCC.
Returns:
  Updated extras.

#### obsoleteVersion

    @Nullable
    @Nullable GridCacheVersion obsoleteVersion()

Returns:
  Obsolete version.

#### obsoleteVersion

    GridCacheEntryExtras obsoleteVersion​(GridCacheVersion obsoleteVer)

Parameters:
  `obsoleteVer` - Obsolete version.
Returns:
  Updated extras.

#### ttl

    long ttl()

Returns:
  TTL.

#### expireTime

    long expireTime()

Returns:
  Expire time.

#### ttlAndExpireTime

    GridCacheEntryExtras ttlAndExpireTime​(long ttl,
                                          long expireTime)

Parameters:
  `ttl` - TTL.
  `expireTime` - Expire time.
Returns:
  Updated extras.

#### size

    int size()

Returns:
  Extras size.